Bug 79974 - RTF: Insertion of image to .rtf document adds a frame and makes document unstable
Summary: RTF: Insertion of image to .rtf document adds a frame and makes document unst...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.6.7.2 release
Hardware: Other Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
: 74091 (view as bug list)
Depends on:
Blocks: RTF-Images
  Show dependency treegraph
 
Reported: 2014-06-13 09:11 UTC by Oldbwl
Modified: 2021-12-03 04:31 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Simple .rtf document with image and frame in header area (129.64 KB, application/rtf)
2014-06-13 09:11 UTC, Oldbwl
Details
sample odt used to test rtf export (12.29 KB, application/vnd.oasis.opendocument.text)
2014-06-13 12:06 UTC, Yousuf Philips (jay) (retired)
Details
converting the odt to rtf and then reopening it in the same version - 3.6, 4.0, 4.1 (38.81 KB, image/png)
2014-06-13 12:17 UTC, Yousuf Philips (jay) (retired)
Details
converting the odt to rtf and then reopening it in the same version - 4.2.4, 4.2.6, 4.3 beta 2 (50.02 KB, image/png)
2014-06-13 12:19 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Oldbwl 2014-06-13 09:11:30 UTC
Created attachment 100968 [details]
Simple .rtf document with image and frame in header area

Problem description: 
Using any 4* version of LO on Linux Mint 16-17
Insertion of an image - any from gallery will do and save document as a .rtf format. On reopen, there is a frame inserted and the image colours can be reversed - the document may become unstable.

Long documents with several images have frames all over the document - usually in margins and header areas.

Steps to reproduce:
1. create a document with an image from the Gallery
2. save document as .rtf
3. Reopen - document is unstable and images have a frame associated in which cause difficulties until they are individually deleted

Current behavior:
as per 1 - 3 above

Expected behavior:
Image should simply appear in designated insertion point.

              
Operating System: Linux (Other)
Version: 4.1.0.4 release
Comment 1 Oldbwl 2014-06-13 09:15:09 UTC
*** Bug 74091 has been marked as a duplicate of this bug. ***
Comment 2 Yousuf Philips (jay) (retired) 2014-06-13 12:06:21 UTC
Created attachment 100974 [details]
sample odt used to test rtf export
Comment 3 Yousuf Philips (jay) (retired) 2014-06-13 12:17:04 UTC
Created attachment 100975 [details]
converting the odt to rtf and then reopening it in the same version - 3.6, 4.0, 4.1
Comment 4 Yousuf Philips (jay) (retired) 2014-06-13 12:19:02 UTC
Created attachment 100976 [details]
converting the odt to rtf and then reopening it in the same version - 4.2.4, 4.2.6, 4.3 beta 2
Comment 5 Yousuf Philips (jay) (retired) 2014-06-13 12:46:28 UTC
Confirmed in Linux Mint in 3.6.7, 4.0.6, 4.1.6, 4.2.4, 4.2.6, 4.3 beta 2, and 4.4 alpha.

Only 4.0 was able to reopen with the same crispness of the original image. 4.2 and above added an extra bordered box in the header (bug 76633). 3.6, 4.3 and 4.4 have the correct image dimensions without the image being cropped inside of it. None were able to retain the original positioning of the original image.
Comment 6 QA Administrators 2015-07-18 17:44:36 UTC Comment hidden (obsolete)
Comment 7 QA Administrators 2016-09-20 10:18:42 UTC Comment hidden (obsolete)
Comment 8 QA Administrators 2019-12-03 14:16:12 UTC Comment hidden (obsolete)
Comment 9 QA Administrators 2021-12-03 04:31:01 UTC
Dear Oldbwl,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug